# qdbm Namespace Reference

## Detailed Description

Namespace of QDBM.

## Classes

class | ADBM
| Aabstraction for database managers compatible with DBM. More...
class | Curia
| C++ API of Curia, the extended API of QDBM. More...
class | Curia_error
| Error container for Curia. More...
class | Datum
| Datum of records for ADBM. More...
class | DBM_error
| Error container for ADBM. More...
class | Depot
| C++ API of Depot, the basic API of QDBM. More...
class | Depot_error
| Error container for Depot. More...
class | Villa
| C++ API of Villa, the basic API of QDBM. More...
class | Villa_error
| Error container for Villa. More...

## Variables

pthread_mutex_t | mutex
| Common Mutex of QDBM.